Property Access
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
DELETE |
Retrieve property access controls
Get all property access control rules for a property definition.
Required API key scopes
access_control:readQuery parameters
- property_definition_idstring
Response
Example request
GET /api /projects /:project_id /property_access_controlsExample response
Status 200
RESPONSE
Create property access controls
Create or update a property access control rule.
Required API key scopes
access_control:writeRequest parameters
- property_definition_idstring
- ai_property
- access_level
- organization_memberstring | null
- rolestring | null
Response
Example request
POST /api /projects /:project_id /property_access_controlsExample response
Status 200
RESPONSE
Delete property access controls
Delete a property access control rule. The rule is identified by property_definition_id plus an optional organization_member or role query parameter. Omitting both targets deletes the default rule.
Required API key scopes
access_control:writeQuery parameters
- organization_memberstring
- property_definition_idstring
- rolestring
Example request
DELETE /api /projects /:project_id /property_access_controls










